Odoo中文社区可以通过以下两个域名访问:shine-it.net , odoo.net.cn

由于系统升迁的原因,本论坛部分较早期的内容存在格式和链接损坏失效的问题,并非本论坛系统本身的缺陷,望谅解

本社区没有维护任何QQ群讨论组,任何与本社区同名的QQ群讨论组的言论与本社区无关!

开发人员可以登录gitter讨论组: http://gitter.im/odoo-china/Talk, 需要github账号

如果您登录系统碰到问题,请在微信公众号留言:

odoo12 模块安装后报错,访问不了网页 403



  • 第一个错
    value = self._data[key][field][record._ids[0]]
    KeyError: 1

    第二个错
    odoo.exceptions.CacheMiss: ('website(1,).user_id', None)

    第三个错
    odoo.modules.registry: Invalidating all model caches after database signaling.

    错误日志如下

    2020-06-18 03:09:46,214 2065 INFO dfjkeo odoo.addons.base.models.ir_http: Exception during request Authentication.
    Traceback (most recent call last):
    File "/usr/lib/python3/dist-packages/odoo/api.py", line 1039, in get
    value = self._data[key][field][record._ids[0]]
    KeyError: 1

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File "/usr/lib/python3/dist-packages/odoo/fields.py", line 976, in get
    value = record.env.cache.get(record, self)
    File "/usr/lib/python3/dist-packages/odoo/api.py", line 1041, in get
    raise CacheMiss(record, field)
    odoo.exceptions.CacheMiss: ('website(1,).user_id', None)

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_http.py", line 118, in _authenticate
    getattr(cls, "auth_method%s" % auth_method)()
    File "/usr/lib/python3/dist-packages/odoo/addons/website/models/ir_http.py", line 85, in _auth_method_public
    if website and website.user_id:
    File "/usr/lib/python3/dist-packages/odoo/fields.py", line 980, in get
    self.determine_value(record)
    File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1081, in determine_value
    record._prefetch_field(self)
    File "/usr/lib/python3/dist-packages/odoo/models.py", line 2827, in _prefetch_field
    result = records.read([f.name for f in fs], load='_classic_write')
    File "/usr/lib/python3/dist-packages/odoo/models.py", line 2765, in read
    self._read_from_database(stored, inherited)
    File "/usr/lib/python3/dist-packages/odoo/models.py", line 2892, in _read_from_database
    cr.execute(query_str, params)
    File "/usr/lib/python3/dist-packages/odoo/sql_db.py", line 148, in wrapper
    return f(self, *args, **kwargs)
    File "/usr/lib/python3/dist-packages/odoo/sql_db.py", line 225, in execute
    res = self._obj.execute(query, params)
    psycopg2.ProgrammingError: 閿欒: 瀛楁 website.cart_recovery_mail_template_id 涓嶅瓨鍦?绗?琛?.._secret","website"."homepage_id" as "homepage_id","website"....
    ^

    2020-06-18 03:09:46,215 2065 INFO dfjkeo werkzeug: 42.237.238.129 - - [18/Jun/2020 03:09:46] "GET / HTTP/1.1" 403 - 4 0.003 0.013
    2020-06-18 03:18:03,178 2072 INFO dfjkeo odoo.addons.base.models.ir_cron: Starting job Post process payment transactions.
    2020-06-18 03:18:03,184 2072 INFO dfjkeo odoo.modules.registry: Invalidating all model caches after database signaling.
    2020-06-18 03:22:39,341 2071 INFO dfjkeo odoo.addons.base.models.ir_cron: Starting job Calendar: Event Reminder.
    2020-06-18 03:22:39,362 2071 INFO dfjkeo odoo.modules.registry: At least one model cache has been invalidated, signaling through the database.
    2020-06-18 03:26:19,899 2072 INFO dfjkeo odoo.addons.base.models.ir_cron: Starting job Event: Mail Scheduler.
    2020-06-18 03:26:19,906 2072 INFO dfjkeo odoo.modules.registry: Invalidating all model caches after database signaling.


  • 管理员

    不知道你的log是否贴全了。从上面的报错看是website_sale模块的问题。就是电子商务的模块,不知道你们有装过第三方的定制化模块吗?是第一次安装这个模块就有问题吗?



  • 安装过一个微信小程序 weshop website_sale 模块已经卸载了,

    现在日志报错也改变了 成了以下这样

    2020-06-20 02:02:01,739 12576 INFO dfjkeo odoo.modules.registry: Invalidating all model caches after database signaling.
    2020-06-20 02:02:01,745 12576 INFO dfjkeo odoo.addons.base.models.ir_http: Generating routing map
    2020-06-20 02:02:02,023 12576 ERROR dfjkeo odoo.addons.website.models.ir_http: 500 Internal Server Error:

    Traceback (most recent call last):
    File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_http.py", line 203, in _dispatch
    result = request.dispatch()
    File "/usr/lib/python3/dist-packages/odoo/http.py", line 833, in dispatch
    r = self._call_function(**self.params)
    File "/usr/lib/python3/dist-packages/odoo/http.py", line 344, in _call_function
    return checked_call(self.db, *args, **kwargs)
    File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 97, in wrapper
    return f(dbname, *args, **kwargs)
    File "/usr/lib/python3/dist-packages/odoo/http.py", line 340, in checked_call
    result.flatten()
    File "/usr/lib/python3/dist-packages/odoo/http.py", line 1268, in flatten
    self.response.append(self.render())
    File "/usr/lib/python3/dist-packages/odoo/http.py", line 1261, in render
    return env["ir.ui.view"].render_template(self.template, self.qcontext)
    File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_ui_view.py", line 1284, in render_template
    return self.browse(self.get_view_id(template)).render(values, engine)
    File "/usr/lib/python3/dist-packages/odoo/addons/website/models/ir_ui_view.py", line 318, in render
    return super(View, self).render(values, engine=engine, minimal_qcontext=minimal_qcontext)
    File "/usr/lib/python3/dist-packages/odoo/addons/web_editor/models/ir_ui_view.py", line 27, in render
    return super(IrUiView, self).render(values=values, engine=engine, minimal_qcontext=minimal_qcontext)
    File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_ui_view.py", line 1293, in render
    return self.env[engine].render(self.id, qcontext)
    File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_qweb.py", line 59, in render
    result = super(IrQWeb, self).render(id_or_xml_id, values=values, **context)
    File "/usr/lib/python3/dist-packages/odoo/addons/base/models/qweb.py", line 274, in render
    self.compile(template, options)(self, body.append, values or {})
    TypeError: 'NoneType' object is not callable

    2020-06-20 02:02:02,116 12576 INFO dfjkeo werkzeug: 42.237.239.251 - - [20/Jun/2020 02:02:02] "GET / HTTP/1.1" 500 - 84 0.102 0.282
    2020-06-20 02:02:02,121 12576 ERROR dfjkeo werkzeug: Error on request:
    Traceback (most recent call last):
    File "/usr/lib/python3/dist-packages/werkzeug/serving.py", line 180, in run_wsgi
    execute(self.server.app)
    File "/usr/lib/python3/dist-packages/werkzeug/serving.py", line 168, in execute
    application_iter = app(environ, start_response)
    File "/usr/lib/python3/dist-packages/odoo/service/wsgi_server.py", line 128, in application
    return application_unproxied(environ, start_response)
    File "/usr/lib/python3/dist-packages/odoo/service/wsgi_server.py", line 117, in application_unproxied
    result = odoo.http.root(environ, start_response)
    File "/usr/lib/python3/dist-packages/odoo/http.py", line 1318, in call
    return self.dispatch(environ, start_response)
    File "/usr/lib/python3/dist-packages/odoo/http.py", line 1486, in dispatch
    result = ir_http._dispatch()
    File "/usr/lib/python3/dist-packages/odoo/addons/auth_signup/models/ir_http.py", line 19, in _dispatch
    return super(Http, cls)._dispatch()
    File "/usr/lib/python3/dist-packages/odoo/addons/web_editor/models/ir_http.py", line 22, in _dispatch
    return super(IrHttp, cls)._dispatch()
    File "/usr/lib/python3/dist-packages/odoo/addons/http_routing/models/ir_http.py", line 394, in _dispatch
    result = super(IrHttp, cls)._dispatch()
    File "/usr/lib/python3/dist-packages/odoo/addons/utm/models/ir_http.py", line 26, in _dispatch
    response = super(IrHttp, cls)._dispatch()
    File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_http.py", line 207, in _dispatch
    return cls._handle_exception(e)
    File "/usr/lib/python3/dist-packages/odoo/addons/website/models/ir_http.py", line 295, in _handle_exception
    html = env['ir.ui.view'].render_template('website.http_error', values)
    File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_ui_view.py", line 1284, in render_template
    return self.browse(self.get_view_id(template)).render(values, engine)
    File "/usr/lib/python3/dist-packages/odoo/addons/website/models/ir_ui_view.py", line 318, in render
    return super(View, self).render(values, engine=engine, minimal_qcontext=minimal_qcontext)
    File "/usr/lib/python3/dist-packages/odoo/addons/web_editor/models/ir_ui_view.py", line 27, in render
    return super(IrUiView, self).render(values=values, engine=engine, minimal_qcontext=minimal_qcontext)
    File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_ui_view.py", line 1293, in render
    return self.env[engine].render(self.id, qcontext)
    File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_qweb.py", line 59, in render
    result = super(IrQWeb, self).render(id_or_xml_id, values=values, **context)
    File "/usr/lib/python3/dist-packages/odoo/addons/base/models/qweb.py", line 274, in render
    self.compile(template, options)(self, body.append, values or {})
    TypeError: 'NoneType' object is not callable - - -


Log in to reply